#include <cassert>
#include <cstdio>
#include <iostream>

int main() {
	std::ios_base::sync_with_stdio(false);

	std::cout << "A";
	std::printf("B");
	std::cout << "C";

	std::fflush(stdout);  // force C-style I/O flush
	std::cout.flush();    // force stream-based I/O flush

	std::cout << '\n';

	assert(std::cin.tie() == &std::cout);

	int num;
	std::cout << "Enter a number: ";
	std::cin >> num;

	std::cin.tie(nullptr);   // untie std::cin from std::cout

	std::cout << "Enter another number: ";
	std::cin >> num;

	assert(std::cerr.tie() == &std::cout);

	std::cout << "1";
	std::cerr << "2";

	std::cerr.tie(nullptr);  // untie std::cerr from std::cout

	std::cout << "3";
	std::cerr << "4";

	std::cout.flush();
	std::cout << '\n';
}
